Bug 166166 - yum strips package names in the screen when downloading/installing
yum strips package names in the screen when downloading/installing
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-08-17 14:33 EDT by Hugo Cisneiros
Modified: 2014-01-21 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-02 08:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2005-08-17 14:33:27 EDT
Description of problem:

When downloading and installing packages with yum, it always strips the
packages' names. I think this is unnecessary and annoying because I can't see
the exact package and its version in the screen. Like:

(17/192): openoffice.org- 100% |=========================| 160 kB    00:01
(18/192): openoffice.org- 100% |=========================| 2.8 MB    00:27
(19/192): openoffice.org- 100% |=========================| 6.6 MB    01:12

I searched in yum documentation and did not found any way to do this. I think
the perfect way is to show like RPM does, it's nice ;)

How reproducible:
Comment 1 Hugo Cisneiros 2005-08-17 16:32:09 EDT
A transfer rate would be nice too.
Comment 2 Seth Vidal 2005-08-19 03:02:59 EDT
you want an unlimited package name field, a transfer rate AND a progress bar all
on one line?

How big is your screen?

We have to do this inside 80 chars.
Comment 3 Hugo Cisneiros 2005-08-19 09:16:39 EDT
A good way would be when transfering files, show the transfer rate and the
package name. When installing, show the progress bar like RPM does.

(17/192): openoffice.org-writer                                [87%] 235kb/s

(113/192): openoffice.org-writer            |=========================| 100%

This way, the biggest package I found here (system-config-securitylevel-tui)
will fit nice in a 80 char terminal and the progress display will be more
friendly to the user IMO.
Comment 4 James Hunt 2005-09-02 08:35:03 EDT
I'd really like to see a solution to this request too. How about providing a
printf(3)-style format option like rpm allows with '--queryformat'?

  yum update queryformat="%{NAME} %{COMPLETE} {%RATE}"

Default format could be to truncate the package name at 15 chars (something like
"%{NAME:15.15}" maybe?), but could be overridden by user using 'queryformat'.

Comment 5 Seth Vidal 2005-09-02 08:52:44 EDT
to comment #4: no. Putting in that sort of flexibility in just the output is
adding in a lot of useless code.

Note You need to log in before you can comment on or make changes to this bug.